sigma_exact

## Public Member Functions

Float | f (const point &x) const
Float | df_dt (const point &x) const
tensor | operator() (const point &x) const
tensor | time_derivative (const point &x) const
| sigma_exact (Float nu1, Float t1=0)

## Public Attributes

Float | nu
Float | t
Float | r0
point | x0
point | xt
point | vt

## Detailed Description

Examples
  transport_tensor_error_dg.cc, and transport_tensor_exact.icc.

Definition at line 28 of file transport_tensor_exact.icc.

## Constructor & Destructor Documentation

## sigma_exact()

sigma_exact | ( | Float | nu1,
|  | Float | t1 = `0`
| ) |  |

Examples
  transport_tensor_exact.icc.

Definition at line 54 of file transport_tensor_exact.icc.

## Member Function Documentation

## f()

Float f | ( | const point & | x | ) | const

Examples
  transport_tensor_exact.icc.

Definition at line 29 of file transport_tensor_exact.icc.

## df_dt()

Float df_dt | ( | const point & | x | ) | const

Examples
  transport_tensor_exact.icc.

Definition at line 32 of file transport_tensor_exact.icc.

## operator()()

tensor operator() | ( | const point & | x | ) | const

Examples
  transport_tensor_exact.icc.

Definition at line 35 of file transport_tensor_exact.icc.

## time_derivative()

tensor time_derivative | ( | const point & | x | ) | const

Examples
  transport_tensor_exact.icc.

Definition at line 44 of file transport_tensor_exact.icc.

## Member Data Documentation

## nu

Float nu

Examples
  transport_tensor_exact.icc.

Definition at line 62 of file transport_tensor_exact.icc.

## t

Float t

Examples
  transport_tensor_exact.icc.

Definition at line 62 of file transport_tensor_exact.icc.

## r0

Float r0

Examples
  transport_tensor_exact.icc.

Definition at line 62 of file transport_tensor_exact.icc.

## x0

point x0

Examples
  transport_tensor_exact.icc.

Definition at line 63 of file transport_tensor_exact.icc.

## xt

point xt

Examples
  transport_tensor_exact.icc.

Definition at line 63 of file transport_tensor_exact.icc.

## vt

point vt

Examples
  transport_tensor_exact.icc.

Definition at line 63 of file transport_tensor_exact.icc.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/doc/examples/transport_tensor_exact.icc